# Roll trade

Roll a trade to another value date. Available to broker users and sales dealer users.

Endpoint: POST /v2/trades/roll
Version: 1.0.1
Security: SSO_TOKEN

## Request fields (application/json):

  - `id` (string, required)
    ID of the trade to roll.

  - `forwardPoints` (number, required)
    Forward points for the rolled trade.

  - `valueDate` (string, required)
    New value date for the rolled trade in the format `YYYY-MM-DD`.

  - `fixingDate` (string)
    New fixing date for the rolled NDF trade in the format `YYYY-MM-DD`. Required for trades in non-deliverable instruments.

  - `note` (string)
    Any notes on the trade. These notes are sent via STP if the trade is eligible for STP (stp=true).

## Response 200 fields (application/json):

  - `originalTradeId` (string)
    ID of the original trade that was rolled.

  - `tradeId` (string)
    ID of the new trade.

  - `createdTime` (string)
    Date and time (GMT) the trade was booked in the format `yyyy-MM-dd HH:mm:ss,SSS Z`.

